%define modname xattr
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A27_%{modname}.ini

Summary:	Provides a interface to Extended attributes for PHP
Name:		php-%{modname}
Version:	1.2.0
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/xattr
Source0:	http://pecl.php.net/get/xattr-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	attr-devel
Epoch:		1

%description
This package allows to manipulate extended attributes on filesystems that
support them. Requires libattr from Linux XFS project.

%prep

%setup -q -n xattr-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1:1.2.0-3.mga3
+ Revision: 393363
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.0-2.mga3
+ Revision: 377626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 oden <oden> 1:1.2.0-1.mga3
+ Revision: 330966
- 1.2.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.1.0-18.mga2
+ Revision: 223952
- httpd restart is handled by filetriggers now

* Sun Jan 16 2011 spuhler <spuhler> 1:1.1.0-17.mga1
+ Revision: 20303
- removed buildroot definition from .spec
- imported package php-xattr

